#include <stdio.h>
#include <stdlib.h>
#include <time.h>


//MODIFIQUE LOS PARAMETROS DEL ALGORITMO
#define NUMCORRIDAS 2   	//NUMBER OF INDEPENDENT RUNS
#define POP_SIZE1 100     	//VALUE FOR "MU" (PARENT POPULATION)
#define POP_SIZE2 300     	//VALUE FOR "LAMBDA" (OFFSPRING POPULATION)
#define G_MAX	800		//NUMBER OF GENERATIONS
#define EPSILON	0.001		//INITIAL TOLERANCE FOR EQUALITY CONSTAINTS
#define BANDERA 1		//1 = '+' SELECTION.   0 = ','  SELECTION
#define SR      0.97            //SELECTION RATIO
#define FACTE 	1.00195		// 1.0145 1.00195  FACTOR TO DYNAMICLY DECREASE 
				//THE EPSILON VALUE
#define NUMPROBLEMAS 24		//TOTAL NUMBER OF PROBLEMS TO TEST
char *techniques[1]={"smes"};   //NAME OF THE APPROACH
char *problems[NUMPROBLEMAS]={"g01","g02","g03","g04","g05","g06","g07","g08","g09","g10","g11","g12","g13","g14","g15","g16","g17","g18","g19","g20","g21","g22","g23","g24"};			//NAME OF THE PROBLEMS TO TEST

//DO NOT CHANGE ANYTHING BELOW
main()
{
	int i,j;
        float rseed;
	char IN_DATA[100],OUT_DATA[100],ARCH[100];
	FILE *salida;
	srand(time(NULL));

	for(i=0;i<NUMPROBLEMAS;i++){
		strcpy(IN_DATA,problems[i]);
		strcat(IN_DATA,".dat");
		strcpy(OUT_DATA,"s");
		strcat(OUT_DATA,problems[i]);
		strcat(OUT_DATA,techniques[0]);
		strcpy(ARCH,"corre");
		strcat(ARCH,problems[i]);
		strcat(ARCH,techniques[0]);

		salida=fopen(ARCH,"w");
	
		for(j=1;j<=NUMCORRIDAS;j++) {
          		rseed =  (((float)(rand()%1000))/1000.0);  
	  		fprintf(salida,"./%s %s %s%d.txt %d %d %d %f %d %f %f %f\n", techniques[0], IN_DATA, OUT_DATA, j, POP_SIZE1, POP_SIZE2, G_MAX,EPSILON, BANDERA, SR, FACTE, rseed);
          		fprintf(salida,"tail -20 %s%d.txt >salida%s%d.txt\n", OUT_DATA, j,OUT_DATA, j);
          		fprintf(salida,"echo \"Funcin: %s corrida %d\"\n",problems[i],j);
//          		fprintf(salida,"echo \n");
          		fprintf(salida,"\'rm\' %s%d.txt\n", OUT_DATA, j);
        	}
		for(j=1;j<=NUMCORRIDAS;j++) {
        		fprintf(salida,"tail -5 salida%s%d.txt >> %s.txt\n",OUT_DATA,j,OUT_DATA);
		}
        	fprintf(salida,"tar -cf salida%s.tar salida%s*.txt\n",OUT_DATA,OUT_DATA);
        	fprintf(salida,"\'rm\' salida%s*.txt\n",OUT_DATA);
        	fprintf(salida,"gzip salida%s.tar\n",OUT_DATA);
		fclose(salida);
	}
}
