/****************************************************************************
        Archivo de encabezado stats.h
Elaboro: Efren Mezura Montes
Materia: Trabajo de tesis doctoral
Profesor:Dr Carlos A. Coello Coello
Fecha ultima modificacion: 10/03/2002
****************************************************************************/
/* Estructuras */
#define NUMPROB 24
/* ADD THE NUMBER OF PROBLEMS WHICH WILL BE USED IN THE EXPERIMENTS 
   EXAMPLE: SUPPOSE THAT WE WILL ONLY USE PROBLEMS G01 AND THE NEW PROBLEM G25 
   THEN THE TOTAL NUMBER OF PROBLEMS IS: 
#define NUMPROB 2
*/
struct tsolucion{

	double fx;
	int factible;
	double sumviol;
	double *xs;
	double *gs;
	double porfac;
};

/* Prototipos de funciones */
void memory_allocation(unsigned);
void free_all(unsigned);
void nomemory(char *);
void lee_datos(char *, char *);
void ordena();
void calcula_stats(char *,char *,double);
double calcula_media(int);
double calcula_min();
double calcula_max();
double calcula_desv(int,double);
/* VARIABLES DEL PROGRAMA */
struct tsolucion *soluciones;
static int *enorden;
unsigned limitet,limitee;
char *techniques[1]={"smes"};
char *problems[NUMPROB]={"g01","g02","g03","g04","g05","g06","g07","g08","g09","g10","g11","g12","g13","g14","g15","g16","g17","g18","g19","g20","g21","g22","g23","g24"};

/* ADD THE NAME OF THE FILE WITH THE DETAILS OF YOUR PROBLEM AT THE END OF 
   THE problems ARRAY 
EXAMPLE: 
char *problems[NUMPROB]={"g01","g02","g03","g04","g05","g06","g07","g08","g09","g10","g11","g12","g13","g14","g15","g16","g17","g18","g19","g20","g21","g22","g23","g24","g25"}; 

	   ^
	   |_____ We added new problem g25.
	   
PLEASE COMMENT THOSE PROBLEM NAMES WHICH WILL NOT BE USED IN THE EXPERIMENTS: 
*/
double optimal[NUMPROB]={-15.0,0.803619,1.0,-30665.539,5126.498,-6961.814,24.306,0.095825,680.630,7049.3307,0.75,1.0,0.053950,-47.656,961.715,1.905,8927.5888,0.8660,-32.386,0.09670,193.7783493,12812.5,-400.0551,-5.50796};
/* ADD THE NAME OF THE FILE WITH THE DETAILS OF YOUR PROBLEM AT THE END OF 
 * THE problems ARRAY 
EXAMPLE: 
double optimal[NUMPROB]={-15.0,0.803619,1.0,-30665.539,5126.498,-6961.814,24.306,0.095825,680.630,7049.3307,0.75,1.0,0.053950,-47.656,961.715,1.905,8927.5888,0.8660,-32.386,0.09670,193.7783493,12812.5,-400.0551,-5.50796,10.15};

	   						       ^
we added the best known solution for our new problem    _______| .

PLEASE COMMENT THOSE PROBLEM SOLUTION WHICH WILL NOT BE USED IN THE EXPERIMENTS:
*/
FILE *entrada,*entrada1,*salida;
int n,nfunc,nrestric;
unsigned NUMVARS, NUMRESTRIC;
