/*****************************************************************/
/* Source code for the Simple Multimembered Evolution  Strategy  */
/*                                                               */
/* Efren Mezura Montes                                 	         */
/* Last modification: 10/05/2005 	                         */
/*****************************************************************/

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>
#include <sys/types.h>
#include "smes.h"
#define TRUE 1
#define FALSE 0
#define MAX_MAT 100
#define Uniform randreal
#define PI 3.141592654
static int Seed = 0;
static int isinit = 0;

main(int argc, char *argv[])
{	
	int aux,i,j,k,ax,gen,nfunc17;
	double alele;	
	double media,desviacionmedia;

	lee_archivo(argv[1]); 
	popsize1=atoi(argv[3]);
	popsize2=atoi(argv[4]);
	Gmax=atoi(argv[5]);
	nthetas=n*(n-1)/2;
	tao=1.0/sqrt(2.0*sqrt(n));
	taoprima=1.0/sqrt(2.0*n);
	if(strcmp(argv[1],"g01.dat")==0){
		datos_entrada=1;
	}
	if(strcmp(argv[1],"g02.dat")==0){
		datos_entrada=2;
	}
	if(strcmp(argv[1],"g03.dat")==0){
		datos_entrada=3;
	}
	if(strcmp(argv[1],"g04.dat")==0){
		datos_entrada=4;
	}
	if(strcmp(argv[1],"g05.dat")==0){
		datos_entrada=5;
	}
	if(strcmp(argv[1],"g06.dat")==0){
		datos_entrada=6;
	}
	if(strcmp(argv[1],"g07.dat")==0){
		datos_entrada=7;
	}
	if(strcmp(argv[1],"g08.dat")==0){
		datos_entrada=8;
	}
	if(strcmp(argv[1],"g09.dat")==0){
		datos_entrada=9;
	}
	if(strcmp(argv[1],"g10.dat")==0){
		datos_entrada=10;
	}
	if(strcmp(argv[1],"g11.dat")==0){
		datos_entrada=11;
	}
	if(strcmp(argv[1],"g12.dat")==0){
		datos_entrada=12;
	}
	if(strcmp(argv[1],"g13.dat")==0){
		datos_entrada=13;
	}
	if(strcmp(argv[1],"g14.dat")==0){
		datos_entrada=14;
	}
	if(strcmp(argv[1],"g15.dat")==0){
		datos_entrada=15;
	}
	if(strcmp(argv[1],"g16.dat")==0){
		datos_entrada=16;
	}
	if(strcmp(argv[1],"g17.dat")==0){
		datos_entrada=17;
	}
	if(strcmp(argv[1],"g18.dat")==0){
		datos_entrada=18;
	}
	if(strcmp(argv[1],"g19.dat")==0){
		datos_entrada=19;
	}
	if(strcmp(argv[1],"g20.dat")==0){
		datos_entrada=20;
	}
	if(strcmp(argv[1],"g21.dat")==0){
		datos_entrada=21;
	}
	if(strcmp(argv[1],"g22.dat")==0){
		datos_entrada=22;
	}
	if(strcmp(argv[1],"g23.dat")==0){
		datos_entrada=23;
	}
	if(strcmp(argv[1],"g24.dat")==0){
		datos_entrada=24;
	}
	/* ADD YOUR NEW FUNCTION NUMBER 
	   EXAMPLE TAKING THE NEXT AVAILABLE NUMBER:
	   
	   if(strcmp(argv[1],"g25.dat")==0){
		datos_entrada=25;
	   }
	   
	*/
	





	


	if(datos_entrada==3 || datos_entrada==11){
		numepsilons=1;
	}
	else{
		if(datos_entrada==5 || datos_entrada==13 || datos_entrada==14){
			numepsilons=3;
		}
		else{
			if(datos_entrada==15){
				numepsilons=2;
			}
			else{
				if(datos_entrada==20){
					numepsilons=14;
				}
				else{
					if(datos_entrada==17){
						numepsilons=4;
					}
					else{
						if(datos_entrada==26){
						}
						else{
							if(datos_entrada==21){
								numepsilons=5;
							}
							else{
								if(datos_entrada==22){
									numepsilons=19;
								}
								else{
									if(datos_entrada==23){
										numepsilons=4;
									}
									else{
										numepsilons=0;
									}
								}
							}
						}
					}
				}
			}
		}
	}


	/* ADD THE NUMBER OF EQUALITY CONSTRAINTS
	   THE NUMBER OF datos_entrada MUST AGREE WITH THE NUMBER 
	   SELECTED IN PREVIOUS MODIFICATION
	   EXAMPLE (4 EQUALITY CONSTRAINTS):

	   if(datos_entrada==25){
		numepsilons=4;
           }
	   DO NOT MODIFY ANYTHING IF YOUR PROBLEM HAS NOT EQUALITY CONSTRAINTS
	*/



	
	memory_allocation();
	pftotal=0.0;
	salida=fopen(argv[2],"w");

	t=0;

	filesize=0;
	
	EPSILON=atof(argv[6]);
	flag=atoi(argv[7]);
	Sr=atof(argv[8]);
	direccion=1;
	FACTE=atof(argv[9]);
	Rseed=atof(argv[10]);  
	if(datos_entrada==13 || datos_entrada==19 || datos_entrada==21){
		EPSILON=3.0;
		FACTE=1.0145;
	}
	semilla_a_reportar=Rseed;
	initrandom(Rseed);
	randomize();

	for(i=0;i<numepsilons;i++){
		epsilons[i]=EPSILON;
	}


	initialize_pop();
	statistics(parents,popsize1);

	while(t<Gmax){
		for(i=0;i<popsize2;i++){
			recombina(i);
			mutacion(i);
			switch(datos_entrada){
				case 1: objfunc1(&(childs[i]));
					break;
				case 2: objfunc2(&(childs[i]));
					break;
				case 3: objfunc3(&(childs[i]));
					break;
				case 4: objfunc4(&(childs[i]));
					break;
				case 5: objfunc5(&(childs[i]));
					break;
				case 6: objfunc6(&(childs[i]));
					break;
				case 7: objfunc7(&(childs[i]));
					break;
				case 8: objfunc8(&(childs[i]));
					break;
				case 9: objfunc9(&(childs[i]));
					break;
				case 10: objfunc10(&(childs[i]));
					break;
				case 11: objfunc11(&(childs[i]));
					break;
				case 12: objfunc12(&(childs[i]));
					break;
				case 13: objfunc13(&(childs[i]));
					break;
				case 14: objfunc14(&(childs[i]));
					break;
				case 15: objfunc15(&(childs[i]));
					break;
				case 16: objfunc16(&(childs[i]));
					break;
				case 17: objfunc17(&(childs[i]));
					break;
				case 18: objfunc18(&(childs[i]));
					break;
				case 19: objfunc19(&(childs[i]));
					break;
				case 20: objfunc20(&(childs[i]));
					break;
				case 21: objfunc21(&(childs[i]));
					break;
				case 22: objfunc22(&(childs[i]));
					break;
				case 23: objfunc23(&(childs[i]));
					break;
				case 24: objfunc24(&(childs[i]));
					break;
				/* ADD THE EVALUATION CALL FOR YOUR FUNCTION
	   			   EXAMPLE: 
				   case 25: objfunc25(&(childs[i]));
					break;
				*/

	  		}
		}
		actualiza_factibilidad(parents,popsize1);
		if(flag==1){
			ordena(parents,popsize1,enordenparents);
		}
		
		ordena(childs,popsize2,enordenchilds);

		
		if(flag==1){
			obtiene_mejores();
			genera_nueva_poblacion();
		}
		else{
			genera_nueva_poblacion_coma();
		}

		statistics(parents,popsize1);
		if(t==Gmax-1){
			report();
		}

		switch(datos_entrada){
			case 3: i=0;
				epsilons[i]=epsilons[i]/FACTE;
				break;
			case 5: j=0;
				for(i=2;i<nrestric;i++){
					epsilons[j]=epsilons[j]/FACTE;
					j++;
				}
				break;
			case 11:i=0;
				epsilons[i]=epsilons[i]/FACTE;
				break;
			case 13:for(i=0;i<nrestric;i++){
					epsilons[i]=epsilons[i]/FACTE;
				}
				break;
			case 14:for(i=0;i<nrestric;i++){
					epsilons[i]=epsilons[i]/FACTE;
				}
				break;
			case 15:for(i=0;i<nrestric;i++){
					epsilons[i]=epsilons[i]/FACTE;
				}
				break;
			case 20:for(i=0;i<14;i++){
					epsilons[i]=epsilons[i]/FACTE;
				}
				break;
			case 17:for(i=0;i<nrestric;i++){
					epsilons[i]=epsilons[i]/FACTE;
				}
				break;
			case 21:j=0;
				for(i=1;i<nrestric;i++){
					epsilons[j]=epsilons[i]/FACTE;
					j++;
				}
				break;
			case 22:j=0;
				for(i=1;i<nrestric;i++){
					epsilons[j]=epsilons[i]/FACTE;
					j++;
				}
				break;
			case 23:j=0;
				for(i=2;i<nrestric;i++){
					epsilons[j]=epsilons[i]/FACTE;
					j++;
				}
				break;
			/* ADD THE DYNAMIC UPDATE FOR EQUALITY CONSTRAINTS
			   TOLERANCE. 
	   		   THE NUMBER OF datos_entrada MUST AGREE WITH THE 
			   NUMBER SELECTED IN PREVIOUS MODIFICATION
	          	   EXAMPLE (4 EQUALITY CONSTRAINTS):
			   
		        case 25:
				for(i=0;i<nrestric;i++){
					epsilons[i]=epsilons[i]/FACTE;
				}
				break;
				
	   		DO NOT MODIFY ANYTHING IF YOUR PROBLEM HAS NOT EQUALITY 
			CONSTRAINTS
			IF YOUR PROBLEM HAS BOTH EQUALITY AND INEQUALITY 
			CONSTRAINTS PLEASE BE SURE TO DO THIS MODIFICATION 
			ONLY FOR EQUALITY CONSTRAINTS 
			*/
				
		}

		t++;
	}

	pftotal=pftotal/Gmax;
	fprintf(salida,"%f\n",pftotal);
	fclose(salida);
	free_all();
}



void actualiza_factibilidad(tindividual *pop,int tamano){
	int i,j,aux;
	double sumviolaux;

	/* ADD THE datos_entrada NUMBER TO THE FOLLOWING IF IN ORDER TO 
	   UPDATE THE FEASIBILITY OF SOLUTIONS AT EACH GENERATION.
	   EXAMPLE:
	   if (datos_entrada==3 || datos_entrada==13 || datos_entrada==14 || datos_entrada==15 || datos_entrada==17 || datos entrada==25) <----- 
	   		   DO NOT MODIFY ANYTHING IF YOUR PROBLEM HAS 
			   NOT EQUALITY CONSTRAINTS
			   IF YOUR PROBLEM HAS BOTH EQUALITY AND INEQUALITY 
			   CONSTRAINTS PLEASE BE SURE TO DO THIS MODIFICATION 
			   ONLY FOR EQUALITY CONSTRAINTS 
	*/
	if (datos_entrada==3 || datos_entrada==13 || datos_entrada==14 || datos_entrada==15 || datos_entrada==17){
	        for(i=0;i<tamano;i++){
			sumviolaux=0.0;
			pop[i].feasible=TRUE;
			pop[i].numviol=0;
	        	for(j=0;j<nrestric;j++){
				if(fabs(pop[i].c[j])-epsilons[j] > 0){
       	        	         	sumviolaux=sumviolaux+fabs(pop[i].c[j]);
       		                 	pop[i].feasible=FALSE;
					pop[i].numviol++;
	
				}
			}
			pop[i].sumviol=sumviolaux;
		}
	}
	else{ 
		if(datos_entrada==5 ||datos_entrada==23){
			for(i=0;i<tamano;i++){
				sumviolaux=0.0;
				pop[i].feasible=TRUE;
				pop[i].numviol=0;
	        		for(j=0;j<2;j++){
					if(pop[i].c[j] > 0){
       	        	         		sumviolaux=sumviolaux+pop[i].c[j];
       		                 		pop[i].feasible=FALSE;
						pop[i].numviol++;
					}
				}
				aux=0;
	        		for(j=2;j<nrestric;j++){
					if(fabs(pop[i].c[j])-epsilons[aux] > 0){
       	        	         		sumviolaux=sumviolaux+fabs(pop[i].c[j]);
       		                 		pop[i].feasible=FALSE;
						pop[i].numviol++;	
					}
					aux++;
				}
				pop[i].sumviol=sumviolaux;
			}
		}
		else{
			if(datos_entrada==20){
				for(i=0;i<tamano;i++){
					sumviolaux=0.0;
					pop[i].feasible=TRUE;
					pop[i].numviol=0;
	        			for(j=14;j<nrestric;j++){
						if(pop[i].c[j] > 0){
       	        	       		  		sumviolaux=sumviolaux+pop[i].c[j];
       		               	  			pop[i].feasible=FALSE;
							pop[i].numviol++;
						}
					}
					aux=0;
	        			for(j=0;j<14;j++){
						if(fabs(pop[i].c[j])-epsilons[aux] > 0){
       	        	         			sumviolaux=sumviolaux+fabs(pop[i].c[j]);
       		                 			pop[i].feasible=FALSE;
							pop[i].numviol++;	
						}
						aux++;
					}
					pop[i].sumviol=sumviolaux;
				}
			}
			else{
				if(datos_entrada==21 || datos_entrada==22){
					for(i=0;i<tamano;i++){
						sumviolaux=0.0;
						pop[i].feasible=TRUE;
						pop[i].numviol=0;
			        		for(j=0;j<1;j++){
							if(pop[i].c[j] > 0){
       			        	         		sumviolaux=sumviolaux+pop[i].c[j];
 		      		                 		pop[i].feasible=FALSE;
								pop[i].numviol++;
							}
						}
						aux=0;
	        				for(j=1;j<nrestric;j++){
							if(fabs(pop[i].c[j])-epsilons[aux] > 0){
     		  	        	         		sumviolaux=sumviolaux+fabs(pop[i].c[j]);
 		      		                 		pop[i].feasible=FALSE;
								pop[i].numviol++;	
							}
							aux++;
						}
						pop[i].sumviol=sumviolaux;
					}

				}
			}
		}
	}
}



double calcula_media(tindividual *pop,int tamano){
	int i;
	double media;

	media=0.0;
 	for(i=0;i<tamano;i++){
		media+=pop[i].normfitness;
	}
	media=media/tamano;
	return(media);

}
double calcula_desviacionmedia(tindividual *pop,int tamano,double media){

	int i;
	double desviacionmedia;
	
	desviacionmedia=0.0;
 	for(i=0;i<tamano;i++){
		desviacionmedia+=fabs(pop[i].normfitness-media);
	}
	desviacionmedia=desviacionmedia/tamano;
	return(desviacionmedia);
}


double calcula_varianza(tindividual *pop,int tamano,double media){

	int i;
	double varianza;
	
	varianza=0.0;
 	for(i=0;i<tamano;i++){
		varianza+=pow(pop[i].fitness-media,2.0);
	}
	return(varianza);
}





int calcula_mejorfx(tindividual *pop, int tamano){
	int j,ilow,iup;
	int mejorpos;
	double mejor;
	double menorsumviol;

	
	ilow=0;
	do{
		iup=tamano;
	}
	while(iup > tamano);
	mejorpos=ilow;
	mejor= pop[ilow].fitness;
	menorsumviol=pop[ilow].sumviol;
	for (j=ilow+1; j < iup; j++) {
		if (pop[j].fitness > mejor && pop[j].sumviol<menorsumviol && pop[j].sumviol>0){ 
			mejor = pop[j].fitness;
			menorsumviol=pop[j].sumviol;
			mejorpos=j;
	        }
	}
	return(mejorpos);
}






void recombina(int i){

	int j,mate1,mate2,mejorcito;
	char tipo;
	mate1=selecti(popsize1);
	for(j=0;j<n;j++){
		mate2=selecti(popsize1);
		if(flip(0.5)){
			if(flip(0.5)){
				childs[i].s[j]=parents[mate1].s[j];
			}
			else{
				childs[i].s[j]=parents[mate2].s[j];
			}
		}
		else{
			childs[i].s[j]=cruza_intermedia(parents[mate1].s[j],parents[mate2].s[j]);
		}
	}
	mate1=selecti(popsize1);
	for(j=0;j<n;j++){
		mate2=selecti(popsize1);
		if(flip(0.5)){
			if(flip(0.5)){
				childs[i].x[j]=parents[mate1].x[j];
			}
			else{
				childs[i].x[j]=parents[mate2].x[j];
			}
		}
		else{
			childs[i].x[j]=cruza_intermedia(parents[mate1].x[j],parents[mate2].x[j]);
		}
	}
}

double cruza_intermedia(double val1,double val2){

	double resultado;
	
	resultado=val1+((val2-val1)/2.0);

	return(resultado);
	
}

int selecti(int tamano){
	int elegido;
	int valido;

	valido=0;
	while(valido==0){
		elegido=randint(0,tamano-1);
		if(elegido>=0 && elegido<tamano){
			valido=1;
		}
	}
	return(elegido);
}


void mutacion(int i){
	int j,valido,try;
	double alele,delta[n];
	double r,s;
	double saux[n];

	r=N(0,1);
	for(j=0;j<n;j++){
		s=N(0,1);
		saux[j]=childs[i].s[j]*(exp((taoprima*r)+(tao*s)));
	}

	for(j=0;j<n;j++){
		delta[j]=saux[j]*N(0,1);
	 }

	
	for(j=0;j<n;j++){
		valido=FALSE;
		try=0;
		while((valido==FALSE) && (try<10)){
			alele=childs[i].x[j]+delta[j];
			if( (alele<=bounds[1][j]) && (alele>=bounds[0][j])){
				valido=TRUE;	
			}
			if(valido==TRUE){
				childs[i].x[j]=alele;
			}
			else{
				s=N(0,1);
				saux[j]=childs[i].s[j]*(exp((taoprima*r)+(tao*s)));
				delta[j]=saux[j]*N(0,1);
			}
			try++;
		}
	 }
	for(j=0;j<n;j++){
		childs[i].s[j]=saux[j];
	}
}



void statistics(tindividual *pop,int tamano)
{
	int i,j,k;
	double auxpopsize;
	nofacxgen=0;
	facpercent=0.0;
	sumfitness = 0.0;
	min = pop[0].f[0];
	max = pop[0].f[0];
	avg=0.0;

	for (j=0; j < tamano; j++) {
		sumfitness = sumfitness + pop[j].f[0]; 
		if (pop[j].f[0] > max){ 
			max = pop[j].f[0];
	         }
		if (pop[j].f[0] < min){ 
			min = pop[j].f[0];     
		}
		if(pop[j].feasible==1){
			nofacxgen++;
		}
	}
	auxpopsize=tamano;
	facpercent = nofacxgen/auxpopsize;

	if(t>=0){
		pftotal+=facpercent;
	}
	avg = sumfitness/auxpopsize;
}





void report()

{	int i;


	fprintf(salida,"Generacion # %d Estadisticas: \n",t);
	fprintf(salida,"min = %10.10f   max = %10.10f   media = %10.10f   sum = %10.10f   Ind. factibles = %i  Porcent.factibles = %10.10f\n",min,max,avg,sumfitness,nofacxgen,facpercent);
	fprintf(salida,"Mejor Individuo Global, Generacion # :\n");
	for (i=0;i<nfunc;i++)
		fprintf(salida,"    %10.10f", parents[0].f[i]);
	fprintf(salida,"    %i", parents[0].feasible);
	fprintf(salida,"    %10.10f\n", parents[0].sumviol);
	for (i=0;i<nrestric;i++)
		fprintf(salida," %10.10f   ",parents[0].c[i]);
	fprintf(salida,"\n");
	for (i=0;i<n;i++)
		fprintf(salida," %10.10f   ",parents[0].x[i]);
	fprintf(salida,"\n\n");
}


void imprime_pob(tindividual *pop,int tamano){
	int i;
	for(i=0;i<tamano;i++){
		printf("%d) ................................\n",i);
		imprime_ind(&(pop[i]));
	}
}

void imprime_ind(tindividual *ind1){
	int ax;

	for(ax=0;ax<n;ax++){
		printf("%f\t",ind1->x[ax]); 
	}
	printf("\n");
	for(ax=0;ax<nfunc;ax++){
		printf("f(%d) = %f\t",ax+1,ind1->f[ax]);
	}	
	printf("\n");
	printf("aptitud = %f\n",ind1->fitness);
	printf("sumviol = %f\n",ind1->sumviol);
	printf("factible = %d\n",ind1->feasible);
}

void genera_nueva_poblacion_coma(){

	int i;
	
	for(i=0;i<popsize1;i++){
		copia(&(temporal[i]),&(childs[enordenchilds[i]]));
	}
	for(i=0;i<popsize1;i++){
		copia(&(parents[i]),&(temporal[i]));
	}
}
void genera_nueva_poblacion(){

	int i;
	
	for(i=0;i<popsize1;i++){
		if(elite[i].pob=='p'){
			copia(&(temporal[i]),&(parents[elite[i].posicion]));
		}
		else{
			copia(&(temporal[i]),&(childs[elite[i].posicion]));
		}
	}
	for(i=0;i<popsize1;i++){
		copia(&(parents[i]),&(temporal[i]));
	}
}


void copia(tindividual *ind1, tindividual *ind2){
	int ax;

	for(ax=0;ax<n;ax++)
		ind1->x[ax]=ind2->x[ax]; 
	for(ax=0;ax<nfunc;ax++)
		ind1->f[ax]=ind2->f[ax];
	for(ax=0;ax<nrestric;ax++){
		ind1->c[ax]=ind2->c[ax]; 
	}

	for(ax=0;ax<n;ax++){
		ind1->s[ax]=ind2->s[ax]; 
	}
	for(ax=0;ax<nthetas;ax++){
		ind1->t[ax]=ind2->t[ax]; 
	}

	ind1->fitness=ind2->fitness;
	ind1->sumviol=ind2->sumviol;
	ind1->numviol=ind2->numviol;
	ind1->feasible=ind2->feasible;
}



void obtiene_mejores(){

	int i,ip,ic;

	int aleat;

	ip=0;
	ic=0;
	i=0;
	for(i=0;i<popsize1;i++){
		if(flip(Sr)){
			if( parents[enordenparents[ip]].feasible==TRUE && childs[enordenchilds[ic]].feasible==TRUE){
				if( parents[enordenparents[ip]].fitness > childs[enordenchilds[ic]].fitness){
					elite[i].posicion=enordenparents[ip];
					elite[i].pob='p';
					ip++;
				}
				else{
					elite[i].posicion=enordenchilds[ic];
					elite[i].pob='c';
					ic++;
				}
			}
			else{
				if( parents[enordenparents[ip]].feasible==TRUE  && childs[enordenchilds[ic]].feasible==FALSE){
					elite[i].posicion=enordenparents[ip];
					elite[i].pob='p';
					ip++;
				}
				else{
					if( parents[enordenparents[ip]].feasible==FALSE  && childs[enordenchilds[ic]].feasible==TRUE){
						elite[i].posicion=enordenchilds[ic];
						elite[i].pob='c';
						ic++;
					}
					else{
						if( parents[enordenparents[ip]].sumviol < childs[enordenchilds[ic]].sumviol){
							elite[i].posicion=enordenparents[ip];
							elite[i].pob='p';
							ip++;
						}
						else{
							elite[i].posicion=enordenchilds[ic];
							elite[i].pob='c';
							ic++;
						}
					}
				}
			}
		}
		else{
			if(flip(0.5)){
				aleat=calcula_mejorfx(parents,popsize1);
				elite[i].posicion=enordenparents[aleat];
				elite[i].pob='p';
				ip++;	
			}
			else{
				aleat=calcula_mejorfx(childs,popsize2);
				elite[i].posicion=enordenchilds[aleat];
				elite[i].pob='c';
				ic++;	
			}
		}
	}
}


void ordena(tindividual *pop,int tamano,int *enorden){
	int i,j,nointercambio,aux;

	for(i=0;i<tamano;i++){
		enorden[i]=i;
	}
	
	i=1;

	do{
		nointercambio=1;
		for(j=0;j<tamano-1;j++){
			if(pop[enorden[j]].feasible==TRUE && pop[enorden[j+1]].feasible==TRUE){
				if(pop[enorden[j]].fitness <  pop[enorden[j+1]].fitness){
					aux=enorden[j];
					enorden[j]=enorden[j+1];
					enorden[j+1] = aux;
					nointercambio=0;
				}
			}
			else{
				if(pop[enorden[j]].feasible==FALSE && pop[enorden[j+1]].feasible==TRUE){
					aux=enorden[j];
					enorden[j]=enorden[j+1];
					enorden[j+1] = aux;
					nointercambio=0;
				}
				else{
					if(pop[enorden[j]].sumviol >  pop[enorden[j+1]].sumviol){
						aux=enorden[j];
						enorden[j]=enorden[j+1];
						enorden[j+1] = aux;
						nointercambio=0;
					}
				}
			}
		}
		i++;
	}while(nointercambio==0);
}






void lee_archivo(char *name){
        int i,j;
	FILE *arch;

	arch=fopen(name,"r");
        fscanf(arch,"%i\n",&n);
        fscanf(arch,"%i\n",&nfunc);
        fscanf(arch,"%i\n",&nrestric);
        for(i=0;i<n;i++){
                fscanf(arch,"%f\n",&bounds[0][i]);
                fscanf(arch,"%f\n",&bounds[1][i]);
        }
        fclose(arch);
}


void initialize_pop()
{
        int j, k,ii,i;
	int nfunc17;
        for (j=0; j < popsize1; j++){
          for (k=0; k < n; k++){
                parents[j].x[k]=rndreal(bounds[0][k],bounds[1][k]);
		if(datos_entrada==3){
			parents[j].s[k]=0.01;
		}
		else{
			if(datos_entrada==13){
				parents[j].s[k]=0.05;
			}
			else{
				parents[j].s[k]=(bounds[1][k]-bounds[0][k])/sqrt(n)-(0.6*((bounds[1][k]-bounds[0][k])/sqrt(n)));
			}
		}
          }
          for (k=0; k < nthetas; k++){
		parents[j].t[k]=rndreal(-PI,PI);
	  }

	  switch(datos_entrada){
		case 1: objfunc1(&(parents[j]));
			break;
		case 2: objfunc2(&(parents[j]));
			break;
		case 3: objfunc3(&(parents[j]));
			break;
		case 4: objfunc4(&(parents[j]));
			break;
		case 5: objfunc5(&(parents[j]));
			break;
		case 6: objfunc6(&(parents[j]));
			break;
		case 7: objfunc7(&(parents[j]));
			break;
		case 8: objfunc8(&(parents[j]));
			break;
		case 9: objfunc9(&(parents[j]));
			break;
		case 10: objfunc10(&(parents[j]));
			break;
		case 11: objfunc11(&(parents[j]));
			break;
		case 12: objfunc12(&(parents[j]));
			break;
		case 13: objfunc13(&(parents[j]));
			break;
		case 14: objfunc14(&(parents[j]));
			break;
		case 15: objfunc15(&(parents[j]));
			break;
		case 16: objfunc16(&(parents[j]));
			break;
		case 17: objfunc17(&(parents[j]));
			break;
		case 18: objfunc18(&(parents[j]));
			break;
		case 19: objfunc19(&(parents[j]));
			break;
		case 20: objfunc20(&(parents[j]));
			break;
		case 21: objfunc21(&(parents[j]));
			break;
		case 22: objfunc22(&(parents[j]));
			break;
		case 23: objfunc23(&(parents[j]));
			break;
		case 24: objfunc24(&(parents[j]));
			break;
		/* ADD THE EVALUATION CALL FOR YOUR FUNCTION
		   EXAMPLE: 
	        case 25: objfunc25(&(parents[j]));
			break;
		*/

	  }
        }
}


void memory_allocation()
{
	unsigned numbytesparents,numbyteschilds,bytesvar,bytesfunc,bytescons;
	unsigned bytesenordenparents,bytesenordenchilds,byteselite;
	unsigned bytesthetas,bytesepsilons,numbytesexterns;
	char *malloc();
	int i;


	numbytesparents = popsize1*sizeof(tindividual);
	numbyteschilds = popsize2*sizeof(tindividual);
	numbytesexterns = n*sizeof(tindividual);
	bytesvar = n*sizeof(double);
	bytesfunc = nfunc*sizeof(double);
	bytescons = nrestric*sizeof(double);
	bytesenordenparents=popsize1*sizeof(int);
	bytesenordenchilds=popsize2*sizeof(int);
	byteselite=popsize1*sizeof(tmejores);	
	bytesthetas=nthetas*sizeof(double);
	bytesepsilons=numepsilons*sizeof(double);


	if ((epsilons = (double *) malloc(bytesepsilons)) == NULL)
		nomemory("epsilons");

	if ((parents = (tindividual *) malloc(numbytesparents)) == NULL)
		nomemory("parents");

	if ((temporal = (tindividual *) malloc(numbytesparents)) == NULL)
		nomemory("temporal");

	if ((childs = (tindividual *) malloc(numbyteschilds)) == NULL)
		nomemory("childs");

	if ((externs = (tindividual *) malloc(numbytesexterns)) == NULL)
		nomemory("externs");

	if ((enordenparents = (int *) malloc(bytesenordenparents)) == NULL)
		nomemory("enorden parents");
	
	if ((enordenchilds = (int *) malloc(bytesenordenchilds)) == NULL)
		nomemory("enorden childs");
	
	if ((elite = (tmejores *) malloc(byteselite)) == NULL)
		nomemory("elite");


	for (i=0; i< popsize1; i++){

		if ((parents[i].x = (double *) malloc(bytesvar)) == NULL)
			nomemory("parents variables");

		if ((temporal[i].x = (double *) malloc(bytesvar)) == NULL)
			nomemory("temporal variables");

		if ((parents[i].f = (double *) malloc(bytesfunc)) == NULL)
			nomemory("parents functions");

		if ((temporal[i].f = (double *) malloc(bytesfunc)) == NULL)
			nomemory("temporal functions");

		if ((parents[i].c = (double *) malloc(bytescons)) == NULL)
			nomemory("parents constraints");

		if ((temporal[i].c = (double *) malloc(bytescons)) == NULL)
			nomemory("temporal constraints");

		if ((parents[i].s = (double *) malloc(bytesvar)) == NULL)
			nomemory("parents sigmas");

		if ((temporal[i].s = (double *) malloc(bytesvar)) == NULL)
			nomemory("temporal sigmas");

		if ((parents[i].t = (double *) malloc(bytesthetas)) == NULL)
			nomemory("parents thetas");

		if ((temporal[i].t = (double *) malloc(bytesthetas)) == NULL)
			nomemory("temporal thetas");
	}
	
	for (i=0; i< popsize2; i++){
		if ((childs[i].x = (double *) malloc(bytesvar)) == NULL)
			nomemory("childs variables");

		if ((childs[i].f = (double *) malloc(bytesfunc)) == NULL)
			nomemory("childs functions");

		if ((childs[i].c = (double *) malloc(bytescons)) == NULL)
			nomemory("childs constraints");

		if ((childs[i].s = (double *) malloc(bytesvar)) == NULL)
			nomemory("childs sigmas");

		if ((childs[i].t = (double *) malloc(bytesthetas)) == NULL)
			nomemory("childs thetas");
	}

	for (i=0; i< n; i++){
		if ((externs[i].x = (double *) malloc(bytesvar)) == NULL)
			nomemory("externs variables");

		if ((externs[i].f = (double *) malloc(bytesfunc)) == NULL)
			nomemory("externs functions");

		if ((externs[i].c = (double *) malloc(bytescons)) == NULL)
			nomemory("externs constraints");

		if ((externs[i].s = (double *) malloc(bytesvar)) == NULL)
			nomemory("externs sigmas");

		if ((externs[i].t = (double *) malloc(bytesthetas)) == NULL)
			nomemory("externs thetas");
	}
}	



void free_all()
{
	int i;
	for (i=0; i < popsize1; i++) {
		free(parents[i].x);
		free(parents[i].f);
		free(parents[i].c);
		free(parents[i].s);
		free(parents[i].t);
		free(temporal[i].x);
		free(temporal[i].f);
		free(temporal[i].c);
		free(temporal[i].s);
		free(temporal[i].t);
	}
	for (i=0; i < popsize2; i++) {
		free(childs[i].x);
		free(childs[i].f);
		free(childs[i].c);
		free(childs[i].s);
		free(childs[i].t);
	}
	for (i=0; i < n; i++) {
		free(externs[i].x);
		free(externs[i].f);
		free(externs[i].c);
		free(externs[i].s);
		free(externs[i].t);
	}

	free(parents);
	free(temporal);
	free(childs);
	free(enordenparents);
	free(enordenchilds);
	free(elite);
	free(externs);
	free(epsilons);
}

double Gauss(double sigma)
{
    double ret_val;

    static double d, u, x, y, u0, u1, u2;



    u = Uniform();
    u0 = Uniform();
    if (u >= .919544406) {
        goto L2;
    }
    x = (u0 + u * .825339283) * 2.40375766 - 2.11402808;
    goto L10;
  L2:
    if (u < .965487131) {
        goto L4;
    }
  L3:
    u1 = Uniform();
    y = sqrt(4.46911474 - log(u1) * 2.);
    u2 = Uniform();
    if (y * u2 > 2.11402808) {
        goto L3;
    }
    goto L9;
  L4:
    if (u < .949990709) {
        goto L6;
    }
  L5:
    u1 = Uniform();
    y = u1 * .273629336 + 1.84039875;
    u2 = Uniform();
    if (exp(y * -.5 * y) * .39894228 - .443299126 + y * .209694057 < u2 *
        .0427025816) {
        goto L5;
    }
    goto L9;
  L6:
    if (u < .925852334) {
        goto L8;
    }
  L7:
    u1 = Uniform();
    y = u1 * 1.55066917 + .289729574;
    u2 = Uniform();
    if (exp(y * -.5 * y) * .39894228 - .443299126 + y * .209694057 < u2 *
        .0159745227) {
        goto L7;
    }
    goto L9;
  L8:
    u1 = Uniform();
    y = u1 * .289729574;
    u2 = Uniform();
    if (exp(y * -.5 * y) * .39894228 - .382544556 < u2 * .0163977244) {
        goto L8;
    }
  L9:
    x = y;
    if (u0 >= .5) {
        x = -y;
    }
  L10:
    ret_val = sigma * x;
    return ret_val;
}
double N(double m, double sigma)
{
    return m + Gauss(sigma);
}

void initrandom(int seed)
{
    Seed = seed;
}
double randreal(void)
{
    double result;

    if (!isinit) {
        srand(Seed);
        isinit = 1;
    }
    result = ((double) rand());
    result /= RAND_MAX;

    return (result);
}

int randint(int lo, int hi)
{
    return (lo + randreal() * (hi - lo + 1));
}

float rndreal(float lo ,float hi)

{
    return((randomperc() * (hi - lo)) + lo);
}


void advance_random()

{
    int j1;
    double new_random;

    for(j1 = 0; j1 < 24; j1++)
    {
	new_random = oldrand[j1] - oldrand[j1+31];
	if(new_random < 0.0) new_random = new_random + 1.0;
	oldrand[j1] = new_random;
    }

    for(j1 = 24; j1 < 55; j1++)
    {
	new_random = oldrand [j1] - oldrand [j1-24];
	if(new_random < 0.0) new_random = new_random + 1.0;
	oldrand[j1] = new_random;
    }

}

int flip(float prob)

{
    float randomperc();

    if(randomperc() <= prob)
	return(1);
    else
	return(0);

}



void randomize()

{
    int j1;

    for(j1=0; j1<=54; j1++)
      oldrand[j1] = 0.0;

    jrand=0;

     warmup_random(Rseed);
}

float randomperc()

{
    jrand++;

    if(jrand >= 55)
    {
	jrand = 1;
	advance_random();
    }

    return((float) oldrand[jrand]);
}


void warmup_random(float random_seed)

{
    int j1, ii;
    double new_random, prev_random;

    oldrand[54] = random_seed;
    new_random = 0.000000001;
    prev_random = random_seed;

    for(j1 = 1 ; j1 <= 54; j1++)

    {
	ii = (21*j1)%54;
	oldrand[ii] = new_random;
	new_random = prev_random-new_random;
	if(new_random<0.0) new_random = new_random + 1.0;
	prev_random = oldrand[ii];
    }

    advance_random();
    advance_random();
    advance_random();

    jrand = 0;

}



void nomemory(char *string)
{
	printf("ERROR!! --> malloc: out of memory making %s\n",string);
	exit(1);
}



void cls()

{
	system("clear");
}

/* Evalua la funcion objetivo  para g01*/
void objfunc1(tindividual *ind){
        double aux1,aux2,aux3;
        double fitaux,sumviolaux,x[13];
        int i;

        x[0]=ind->x[0];
        x[1]=ind->x[1];
        x[2]=ind->x[2];
        x[3]=ind->x[3];
        x[4]=ind->x[4];
        x[5]=ind->x[5];
        x[6]=ind->x[6];
        x[7]=ind->x[7];
        x[8]=ind->x[8];
        x[9]=ind->x[9];
        x[10]=ind->x[10];
        x[11]=ind->x[11];
        x[12]=ind->x[12];
        x[13]=ind->x[13];

        ind->f[0]=0.0;
	fitaux=0.0;
	aux1=0.0;
	aux2=0.0;
	aux3=0.0;
	for(i=0;i<4;i++){
		aux1+=x[i];
	}
	aux1*=5.0;
	for(i=0;i<4;i++){
		aux2+=pow(x[i],2.0);
	}
	aux2*=5.0;
	for(i=4;i<13;i++){
		aux3+=x[i];
	}
	fitaux=aux1-aux2-aux3;
	ind->f[0]=fitaux;
	ind->fitness=-fitaux;

	
        ind->c[0]=0.0;
	fitaux=0.0;
	fitaux=(2.0*x[0])+(2.0*x[1])+x[9]+x[10]-10.0;
	ind->c[0]=fitaux;

        ind->c[1]=0.0;
	fitaux=0.0;
	fitaux=(2.0*x[0])+(2.0*x[2])+x[9]+x[11]-10.0;
	ind->c[1]=fitaux;


        ind->c[2]=0.0;
	fitaux=0.0;
	fitaux=(2.0*x[1])+(2.0*x[2])+x[10]+x[11]-10.0;
	ind->c[2]=fitaux;

        ind->c[3]=0.0;
	fitaux=0.0;
	fitaux=(-8.0*x[0])+x[9];
	ind->c[3]=fitaux;

        ind->c[4]=0.0;
	fitaux=0.0;
	fitaux=(-8.0*x[1])+x[10];
	ind->c[4]=fitaux;

        ind->c[5]=0.0;
	fitaux=0.0;
	fitaux=(-8.0*x[2])+x[11];
	ind->c[5]=fitaux;


        ind->c[6]=0.0;
	fitaux=0.0;
	fitaux=(-2.0*x[3])-x[4]+x[9];
	ind->c[6]=fitaux;


        ind->c[7]=0.0;
	fitaux=0.0;
	fitaux=(-2.0*x[5])-x[6]+x[10];
	ind->c[7]=fitaux;


        ind->c[8]=0.0;
	fitaux=0.0;
	fitaux=(-2.0*x[7])-x[8]+x[11];
	ind->c[8]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;

	for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* Evalua la funcion objetivo  para g02*/
void objfunc2(tindividual *ind){

        double aux,aux1,aux2,aux3,aux4;
        double fitaux,sumviolaux,x[20];
        int i;

        x[0]=ind->x[0];
        x[1]=ind->x[1];
        x[2]=ind->x[2];
        x[3]=ind->x[3];
        x[4]=ind->x[4];
        x[5]=ind->x[5];
        x[6]=ind->x[6];
        x[7]=ind->x[7];
        x[8]=ind->x[8];
        x[9]=ind->x[9];
        x[10]=ind->x[10];
        x[11]=ind->x[11];
        x[12]=ind->x[12];
        x[13]=ind->x[13];
        x[14]=ind->x[14];
        x[15]=ind->x[15];
        x[16]=ind->x[16];
        x[17]=ind->x[17];
        x[18]=ind->x[18];
        x[19]=ind->x[19];

        ind->f[0]=0.0;
        aux=0.0;
        aux1=1.0;
        aux2=0.0;
        aux3=1.0;
        aux4=0.0;

        for(i=1;i<=20;i++){
                aux=aux+pow(cos(x[i-1]),4.0);
        }
        for(i=1;i<=20;i++){
                aux1=aux1*pow(cos(x[i-1]),2.0);
        }
        aux1=aux1*2.0;
        for(i=1;i<=20;i++){
                aux2=aux2+(i*pow(x[i-1],2.0));
        }
        aux2=sqrt(aux2);
        fitaux=(aux-aux1)/aux2;
        ind->f[0]=fabs(fitaux);
        ind->fitness=fabs(fitaux);


        fitaux=0;
        for(i=1;i<=20;i++){
                aux3=aux3*x[i-1];
        }
        fitaux= 0.75 -aux3;
        ind->c[0]=fitaux;


        fitaux=0;
        for(i=1;i<=20;i++){
               aux4=aux4+x[i-1];
        }
        fitaux= aux4-(7.5*20.0);
        ind->c[1]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* Evalua la funcion objetivo  para g03 */
void objfunc3(tindividual *ind){

        double fitaux,sumviolaux,x[10];
	double auxfit,auxfitsqrt,auxcons;
        int i;

        x[0]=ind->x[0];
        x[1]=ind->x[1];
        x[2]=ind->x[2];
        x[3]=ind->x[3];
        x[4]=ind->x[4];
        x[5]=ind->x[5];
        x[6]=ind->x[6];
        x[7]=ind->x[7];
        x[8]=ind->x[8];
        x[9]=ind->x[9];

        ind->f[0]=0.0;
	auxfit=1.0;

	for(i=0;i<n;i++){
		auxfit=auxfit*x[i];
	}
	auxfitsqrt=pow(sqrt(n),n);	
        fitaux=auxfitsqrt*auxfit;
        ind->f[0]=fitaux;
        ind->fitness=fitaux;
        fitaux=0;
	auxcons=0.0;
	for(i=0;i<n;i++){
		auxcons=auxcons+pow(x[i],2);
	}
        fitaux=auxcons-1.0;
        ind->c[0]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
//                if(fabs(ind->c[i])-EPSILON > 0){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}





/* Evalua la funcion objetivo  para g04*/
void objfunc4(tindividual *ind){
	double x1,x2,x3,x4,x5,sumviol;
        double fitaux,sumviolaux;
        int i;

        x1=ind->x[0];
        x2=ind->x[1];
        x3=ind->x[2];
        x4=ind->x[3];
        x5=ind->x[4];

        ind->f[0]=0.0;
        fitaux=(5.3578547*pow(x3,2.0))+(0.8356891*x1*x5)+(37.293239*x1)-40792.141;
        ind->f[0]=fitaux;
	ind->fitness=-fitaux;
        fitaux=0;
        fitaux= 85.334407+(0.0056858*x2*x5)+(0.0006262*x1*x4)-(0.0022053*x3*x5)-92.0;
        ind->c[0]=fitaux;
        fitaux=0;
        fitaux=-85.334407-(0.0056858*x2*x5)-(0.0006262*x1*x4)+(0.0022053*x3*x5); 
        ind->c[1]=fitaux;
        fitaux=0;
        fitaux=80.51249+(0.0071317*x2*x5)+(0.0029955*x1*x2)+(0.0021813*pow(x3,2.0))-110.0;
        ind->c[2]=fitaux;
        fitaux=0;
        fitaux=-80.51249-(0.0071317*x2*x5)-(0.0029955*x1*x2)-(0.0021813*pow(x3,2.0))+90.0;
        ind->c[3]=fitaux;
        fitaux=0;
        fitaux=9.300961+(0.0047026*x3*x5)+(0.0012547*x1*x3)+(0.0019085*x3*x4)-25.0;
        ind->c[4]=fitaux;
        fitaux=0;
        fitaux=-9.300961-(0.0047026*x3*x5)-(0.0012547*x1*x3)-(0.0019085*x3*x4)+20.0;
        ind->c[5]=fitaux;



        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* Evalua la funcion objetivo  para g05*/
void objfunc5(tindividual *ind){

        double fitaux,sumviolaux,x[4];
        int i,j;

        x[0]=ind->x[0];
        x[1]=ind->x[1];
        x[2]=ind->x[2];
        x[3]=ind->x[3];
	
	ind->f[0]=0.0;
	fitaux=0.0;
	fitaux=(3.0*x[0])+(0.000001*pow(x[0],3.0))+(2.0*x[1])+((0.000002/3.0)*pow(x[1],3.0));
	ind->f[0]=fitaux;
	ind->fitness=-fitaux;

	
        ind->c[0]=0.0;
	fitaux=0.0;
	fitaux=(-1.0*x[3])+x[2]-0.55;
	ind->c[0]=fitaux;

        ind->c[1]=0.0;
	fitaux=0.0;
	fitaux=(-1.0*x[2])+x[3]-0.55;
	ind->c[1]=fitaux;

        ind->c[2]=0.0;
	fitaux=0.0;
	fitaux=(1000.0*sin((-1.0*x[2])-0.25)) + (1000.0*sin((-1.0*x[3])-0.25)) + 894.8-x[0];
	ind->c[2]=fitaux;

        ind->c[3]=0.0;
	fitaux=0.0;
	fitaux=(1000.0*sin(x[2]-0.25)) + (1000.0*sin(x[2]-x[3]-0.25)) + 894.8-x[1];
	ind->c[3]=fitaux;

        ind->c[4]=0.0;
	fitaux=0.0;
	fitaux=(1000.0*sin(x[3]-0.25)) + (1000.0*sin(x[3]-x[2]-0.25)) + 1294.8;
	ind->c[4]=fitaux;


        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<2;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
	j=0;
        for(i=2;i<nrestric;i++){
                if((fabs(ind->c[i])-epsilons[j]) > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;
		}
		j++;
	}
        ind->sumviol=sumviolaux;
}











/* Evalua la funcion objetivo  para g06*/
void objfunc6(tindividual *ind){
        double fitaux,sumviolaux,x[2];
        int i;

	x[0]=ind->x[0];
        x[1]=ind->x[1];

        ind->f[0]=0.0;
	fitaux=0.0;
	fitaux=pow(x[0]-10.0,3.0)+pow(x[1]-20.0,3.0);
	ind->f[0]=fitaux;
	ind->fitness=-fitaux;

	
        ind->c[0]=0.0;
	fitaux=0.0;
	fitaux=-pow(x[0]-5.0,2.0)-pow(x[1]-5.0,2.0)+100.0;
	ind->c[0]=fitaux;

        ind->c[1]=0.0;
	fitaux=0.0;
	fitaux=pow(x[0]-6.0,2.0)+pow(x[1]-5.0,2.0)-82.81;
	ind->c[1]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* Evalua la funcion objetivo  para g07*/
void objfunc7(tindividual *ind){

        double fitaux,sumviolaux,x1,x2,x3,x4,x5,x6,x7,x8,x9,x10;
        int i;

        x1=ind->x[0];
        x2=ind->x[1];
        x3=ind->x[2];
        x4=ind->x[3];
        x5=ind->x[4];
        x6=ind->x[5];
        x7=ind->x[6];
        x8=ind->x[7];
        x9=ind->x[8];
        x10=ind->x[9];

        ind->f[0]=0.0;
        fitaux=pow(x1,2.0)+pow(x2,2.0)+(x1*x2)-(14.0*x1)-(16.0*x2)+pow(x3-10.0,2.0)+(4.0*pow(x4-5.0,2.0))+pow(x5-3.0,2.0)+(2.0*pow(x6-1.0,2.0))+(5.0*pow(x7,2.0))
               +(7.0*pow(x8-11.0,2.0))+(2.0*pow(x9-10.0,2.0))+pow(x10-7.0,2.0)+45.0;
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;
        fitaux=0;
        fitaux=-105.0+(4.0*x1)+(5.0*x2)-(3.0*x7)+(9.0*x8);
        ind->c[0]=fitaux;
        fitaux=0;
        fitaux=(10.0*x1)-(8.0*x2)-(17.0*x7)+(2.0*x8);
        ind->c[1]=fitaux;
        fitaux=0;
        fitaux=(-8.0*x1)+(2.0*x2)+(5.0*x9)-(2.0*x10)-12.0;
        ind->c[2]=fitaux;
        fitaux=0;
        fitaux=(3.0*pow(x1-2.0,2.0))+(4.0*pow(x2-3.0,2.0))+(2*pow(x3,2.0))-(7.0*x4)-120.0;
        ind->c[3]=fitaux;
        fitaux=0;
        fitaux=(5.0*pow(x1,2.0))+(8.0*x2)+pow(x3-6.0,2.0)-(2.0*x4)-40.0;
        ind->c[4]=fitaux;
        fitaux=0;
        fitaux=pow(x1,2.0)+(2.0*pow(x2-2.0,2.0))-(2.0*x1*x2)+(14.0*x5)-(6*x6);
        ind->c[5]=fitaux;
        fitaux=0;
        fitaux=(0.5*pow(x1-8.0,2.0))+(2*pow(x2-4.0,2.0))+(3.0*pow(x5,2.0))-x6-30.0;
        ind->c[6]=fitaux;
        fitaux=0;
        fitaux=(-3.0*x1)+(6.0*x2)+(12.0*pow(x9-8.0,2.0))-(7.0*x10);
        ind->c[7]=fitaux;



        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* Evalua la funcion objetivo  para g08*/
void objfunc8(tindividual *ind){

        double fitaux,sumviolaux,x[2];
        int i;

	x[0]=ind->x[0];
        x[1]=ind->x[1];

        ind->f[0]=0.0;
	fitaux=0.0;
	fitaux=(pow(sin(2.0*3.1416*x[0]),3.0)*sin(2.0*3.1416*x[1]))/(pow(x[0],3.0)*(x[0]+x[1]));
	ind->f[0]=fitaux;
	ind->fitness=fitaux;

	
        ind->c[0]=0.0;
	fitaux=0.0;
	fitaux=pow(x[0],2.0)-x[1]+1.0;
	ind->c[0]=fitaux;

        ind->c[1]=0.0;
	fitaux=0.0;
	fitaux=1-x[0]+pow(x[1]-4.0,2.0);
	ind->c[1]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* Evalua la funcion objetivo  para g09*/
void objfunc9(tindividual *ind){
        double fitaux,sumviolaux,x1,x2,x3,x4,x5,x6,x7;
        int i;

  	x1=ind->x[0];
        x2=ind->x[1];
        x3=ind->x[2];
        x4=ind->x[3];
        x5=ind->x[4];
        x6=ind->x[5];
        x7=ind->x[6];

        ind->f[0]=0.0;
	fitaux=0.0;
	fitaux=pow(x1-10.0,2.0)+(5.0*pow(x2-12.0,2.0))+pow(x3,4.0)+(3.0*pow(x4-11.0,2.0))+(10.0*pow(x5,6.0))+(7.0*pow(x6,2.0))+pow(x7,4.0)-(4.0*x6*x7)-(10.0*x6)-(8.0*x7);
	ind->f[0]=fitaux;
	ind->fitness=-fitaux;

	
        ind->c[0]=0.0;
	fitaux=0.0;
	fitaux=-127.0+(2.0*pow(x1,2.0))+(3.0*pow(x2,4.0))+x3+(4.0*pow(x4,2.0))+(5.0*x5);
	ind->c[0]=fitaux;

        ind->c[1]=0.0;
	fitaux=0.0;
	fitaux=-282.0+(7.0*x1)+(3.0*x2)+(10.0*pow(x3,2.0))+x4-x5;
	ind->c[1]=fitaux;


        ind->c[2]=0.0;
	fitaux=0.0;
	fitaux=-196.0+(23.0*x1)+pow(x2,2.0)+(6*pow(x6,2.0))-(8.0*x7);
	ind->c[2]=fitaux;

        ind->c[3]=0.0;
	fitaux=0.0;
	fitaux=(4.0*pow(x1,2.0))+pow(x2,2.0)-(3.0*x1*x2)+(2.0*pow(x3,2.0))+(5.0*x6)-(11.0*x7);
	ind->c[3]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* Evalua la funcion objetivo  para g10*/
void objfunc10(tindividual *ind)

{
        double fitaux,sumviolaux,x1,x2,x3,x4,x5,x6,x7,x8;
        int i;

        x1=ind->x[0];
        x2=ind->x[1];
        x3=ind->x[2];
        x4=ind->x[3];
        x5=ind->x[4];
        x6=ind->x[5];
        x7=ind->x[6];
        x8=ind->x[7];

        ind->f[0]=0.0;
        fitaux=x1+x2+x3;
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;
        fitaux=0;
        fitaux= -1.0 + (0.0025*(x4+x6));
        ind->c[0]=fitaux;
        fitaux=0;
        fitaux= -1.0 + (0.0025*(x5+x7-x4));
        ind->c[1]=fitaux;
        fitaux=0;
        fitaux= -1.0 + (0.01*(x8-x5));;
        ind->c[2]=fitaux;
        fitaux=0;
        fitaux=(-1.0*x1*x6)+(833.33252*x4)+(100.0*x1)-(83333.333);
        ind->c[3]=fitaux;
        fitaux=0;
        fitaux=(-1.0*x2*x7)+(1250.0*x5)+(x2*x4)-(1250.0*x4);
        ind->c[4]=fitaux;
        fitaux=0;
        fitaux=(-1.0*x3*x8)+(1250000)+(x3*x5)-(2500.0*x5);
        ind->c[5]=fitaux;


        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
                if(ind->c[i]>0){
                        sumviolaux=sumviolaux+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* Evalua la funcion objetivo  para g11*/
void objfunc11(tindividual *ind)

{
        double fitaux,sumviolaux,x1,x2;
        int i;

        x1=ind->x[0];
        x2=ind->x[1];

        ind->f[0]=0.0;
        fitaux=pow(x1,2.0)+pow(x2-1.0,2.0);
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;
        fitaux=0;
        fitaux=x2-pow(x1,2.0);
        ind->c[0]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
//               if(fabs(ind->c[i])-EPSILON > 0){
		if(fabs(ind->c[i])-epsilons[i] > 0){

                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}



/* Evalua la funcion objetivo  para g12*/
void objfunc12(tindividual *ind){

        double fitaux,sumviolaux,aux,aux1,aux2,aux3,aux4;
        double x1,x2,x3;
        int i;
        int p,q,r,entro;

        x1=ind->x[0];
        x2=ind->x[1];
        x3=ind->x[2];

        ind->f[0]=0.0;

        fitaux=(100.0-pow(x1-5.0,2.0)-pow(x2-5.0,2.0)-pow(x3-5.0,2.0))/100.0;
        ind->f[0]=fitaux;
        ind->fitness=fitaux;
        fitaux=0.0;
        ind->c[0]=0.0;
        i=1;
        p=1;
        entro=0;
        while((p<=9)&&(entro==0)){
                q=1;
                while((q<=9)&&(entro==0)){
                        r=1;
                        while((r<=9)&&(entro==0)){
                                fitaux=pow(x1-p,2.0)+pow(x2-q,2.0)+pow(x3-r,2.0)-0.0625;
                                if(fitaux<=0.0){
                                     entro=1;

                                }
                                else{
                                        ind->c[0]=ind->c[0]+fitaux;
                                }
                                i++;
                                r++;
                        }
                        q++;
                }
                p++;
        }

        if(entro==1){
                ind->c[0]=0.0;
                ind->sumviol=0.0;
                ind->feasible=TRUE;
                ind->numviol=0;
        }
        else{
                ind->sumviol=ind->c[0];
                ind->numviol=1;
                ind->feasible=FALSE;
        }
}

/* Evalua la funcion objetivo  para g13 */
void objfunc13(tindividual *ind){
	double x1,x2,x3,x4,x5,sumviol;
        double fitaux,sumviolaux;
        int i;

        x1=ind->x[0];
        x2=ind->x[1];
        x3=ind->x[2];
        x4=ind->x[3];
        x5=ind->x[4];

        ind->f[0]=0.0;
        fitaux=exp(x1*x2*x3*x4*x5);
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;
        fitaux=0;
        fitaux=pow(x1,2.0)+pow(x2,2.0)+pow(x3,2.0)+pow(x4,2.0)+pow(x5,2.0)-10.0; 
        ind->c[0]=fitaux;
        fitaux=0;
        fitaux=(x2*x3)-(5.0*x4*x5); 
        ind->c[1]=fitaux;
        fitaux=0;
        fitaux=pow(x1,3.0)+pow(x2,3.0)+1.0;
        ind->c[2]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
//                if(fabs(ind->c[i])-EPSILON > 0){
//                if(ind->c[i] > 0){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* funcion nueva g14 */
void objfunc14(tindividual *ind){
        double x[10];
        double fitaux,sumviolaux,suma1,sumalog;
        int i,j,feasible;
	double C[10]={-6.089,-17.164,-34.054,-5.914,-24.721,-14.986,-24.100,-10.708,-26.662,-22.179};
	x[0]=ind->x[0];
	x[1]=ind->x[1];
	x[2]=ind->x[2];
        x[3]=ind->x[3];
	x[4]=ind->x[4];
	x[5]=ind->x[5];
        x[6]=ind->x[6];
	x[7]=ind->x[7];
	x[8]=ind->x[8];
	x[9]=ind->x[9];


        ind->f[0]=0.0;
	sumalog=0.0;
	for(j=0;j<10;j++){
		sumalog+=x[j];
	}
	
	suma1=0.0;
	for(i=0;i<10;i++){
		suma1+=x[i]*(C[i]+log(x[i]/sumalog));

	}
        fitaux=suma1;
	
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;


        fitaux=0;
        fitaux=x[0]+2.0*x[1]+2.0*x[2]+x[5]+x[9]-2.0; 
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=x[3]+2.0*x[4]+x[5]+x[6]-1.0; 
        ind->c[1]=fitaux;
	
        fitaux=0;
        fitaux=x[2]+x[6]+x[7]+2.0*x[8]+x[9]-1.0;
        ind->c[2]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
//                if(fabs(ind->c[i])-EPSILON > 0){
//                if(ind->c[i] > 0){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}



/* funcion nueva g15 */
void objfunc15(tindividual *ind){

        double x1,x2,x3;
        double fitaux,sumviolaux;
        int i,feasible;
	
        x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];



        ind->f[0]=0.0;
	fitaux=1000.0-pow(x1,2.0)-2*pow(x2,2.0)-pow(x3,2.0)-x1*x2-x1*x3;	
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;


        fitaux=0;
        fitaux=pow(x1,2.0)+pow(x2,2.0)+pow(x3,2.0)-25.0;
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=8.0*x1+14.0*x2+7.0*x3-56.0; 
        ind->c[1]=fitaux;
	
        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
//                if(fabs(ind->c[i])-EPSILON > 0){
//                if(ind->c[i] > 0){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* funcion nueva g16 */
void objfunc16(tindividual *ind){

        double x1,x2,x3,x4,x5,sumviol;
	double C[17],Y[17];
        double fitaux,sumviolaux;
        int i,j;


	x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];
        x4=ind->x[3];
	x5=ind->x[4];

	Y[0]=x2+x3+41.6;
	C[0]=0.024*x4-4.62;
	Y[1]=(12.5/C[0])+12.0;
	C[1]=0.0003535*pow(x1,2.0)+0.5311*x1+0.08705*Y[1]*x1;
	C[2]=0.052*x1+78.0+0.002377*Y[1]*x1;
	Y[2]=C[1]/C[2];
	Y[3]=19.0*Y[2];
	C[3]=0.04782*(x1-Y[2])+((0.1956*pow(x1-Y[2],2.0))/x2)+0.6376*Y[3]+1.594*Y[2];
	C[4]=100*x2;
	C[5]=x1-Y[2]-Y[3];
	C[6]=0.950-(C[3]/C[4]);
	Y[4]=C[5]*C[6];
	Y[5]=x1-Y[4]-Y[3]-Y[2];
	C[7]=(Y[4]+Y[3])*0.995;
	Y[6]=C[7]/Y[0];
	Y[7]=C[7]/3798.0;
	C[8]=Y[6]-(0.0663*Y[6]/Y[7])-0.3153;
	Y[8]=(96.82/C[8])+0.321*Y[0];
	Y[9]=1.29*Y[4]+1.258*Y[3]+2.29*Y[2]+1.71*Y[5];
	Y[10]=1.71*x1-0.452*Y[3]+0.580*Y[2];
	C[9]=12.3/752.3;
	C[10]=1.75*Y[1]*0.995*x1;
	C[11]=0.995*Y[9]+1998.0;
	Y[11]=C[9]*x1+(C[10]/C[11]);
	Y[12]=C[11]-1.75*Y[1];
	Y[13]=3623.0+64.4*x2+58.4*x3+(146312.0/(Y[8]+x5));
	C[12]=0.995*Y[9]+60.8*x2+48*x4-0.1121*Y[13]-5095.0;
	Y[14]=Y[12]/C[12];
	Y[15]=148000.0-331000.0*Y[14]+40.0*Y[12]-61.0*Y[14]*Y[12];
	C[13]=2324*Y[9]-28740000*Y[1];
	Y[16]=14130000-1328.0*Y[9]-531.0*Y[10]+(C[13]/C[11]);
	C[14]=(Y[12]/Y[14])-(Y[12]/0.52);
	C[15]=1.104-0.72*Y[14];
	C[16]=Y[8]+x5;





        ind->f[0]=0.0;
	fitaux=0.0000005843*Y[16]-0.000117*Y[13]-0.1365-0.00002358*Y[12]-0.000001502*Y[15]-0.0321*Y[11]-0.004324*Y[4]-0.0001*(C[14]/C[15])-37.48*(Y[1]/C[11]);
        ind->f[0]=fitaux;
        ind->fitness=fitaux;

fitaux=0.0;
	fitaux=Y[3]-(0.28/0.72)*Y[4];
	fitaux=-fitaux;
	ind->c[0]=fitaux;


	fitaux=0.0;
	fitaux=1.5*x2-x3;;
	fitaux=-fitaux;
	ind->c[1]=fitaux;

	fitaux=0.0;
	fitaux=21.0-3496.0*(Y[1]/C[11]);
	fitaux=-fitaux;
	ind->c[2]=fitaux;

	fitaux=0.0;
	fitaux=(62212.0/C[16])-110.6-Y[0];
	fitaux=-fitaux;
	ind->c[3]=fitaux;

	fitaux=0.0;
	fitaux=213.1-Y[0];
	ind->c[4]=fitaux;

	fitaux=0.0;
	fitaux=Y[0]-405.23;
	ind->c[5]=fitaux;

	fitaux=0.0;
	fitaux=17.505-Y[1];
	ind->c[6]=fitaux;

	fitaux=0.0;
	fitaux=Y[1]-1053.6667;
	ind->c[7]=fitaux;

	fitaux=0.0;
	fitaux=11.275-Y[2];
	ind->c[8]=fitaux;

	fitaux=0.0;
	fitaux=Y[2]-35.03;
	ind->c[10]=fitaux;

	fitaux=0.0;
	fitaux=214.228-Y[3];
	ind->c[10]=fitaux;

	fitaux=0.0;
	fitaux=Y[3]-665.585;
	ind->c[11]=fitaux;

	fitaux=0.0;
	fitaux=7.458-Y[4];
	ind->c[12]=fitaux;

	fitaux=0.0;
	fitaux=Y[4]-584.463;
	ind->c[13]=fitaux;

	fitaux=0.0;
	fitaux=0.961-Y[5];
	ind->c[14]=fitaux;

	fitaux=0.0;
	fitaux=Y[5]-265.916;
	ind->c[15]=fitaux;

	fitaux=0.0;
	fitaux=1.612-Y[6];
	ind->c[16]=fitaux;

	fitaux=0.0;
	fitaux=Y[6]-7.046;
	ind->c[17]=fitaux;

	fitaux=0.0;
	fitaux=0.146-Y[7];
	ind->c[18]=fitaux;

	fitaux=0.0;
	fitaux=Y[7]-0.222;
	ind->c[19]=fitaux;

	fitaux=0.0;
	fitaux=107.99-Y[8];
	ind->c[20]=fitaux;

	fitaux=0.0;
	fitaux=Y[8]-273.366;
	ind->c[21]=fitaux;

	fitaux=0.0;
	fitaux=922.693-Y[9];
	ind->c[22]=fitaux;

	fitaux=0.0;
	fitaux=Y[9]-1286.105;
	ind->c[23]=fitaux;

	fitaux=0.0;
	fitaux=926.832-Y[10];
	ind->c[24]=fitaux;

	fitaux=0.0;
	fitaux=Y[10]-1444.046;
	ind->c[25]=fitaux;

	fitaux=0.0;
	fitaux=18.766-Y[11];
	ind->c[26]=fitaux;

	fitaux=0.0;
	fitaux=Y[11]-537.141;
	ind->c[27]=fitaux;

	fitaux=0.0;
	fitaux=1072.163-Y[12];
	ind->c[28]=fitaux;

	fitaux=0.0;
	fitaux=Y[12]-3247.039;
	ind->c[29]=fitaux;

	fitaux=0.0;
	fitaux=8961.448-Y[13];
	ind->c[30]=fitaux;

	fitaux=0.0;
	fitaux=Y[13]-26844.086;
	ind->c[31]=fitaux;

	fitaux=0.0;
	fitaux=0.063-Y[14];
	ind->c[32]=fitaux;

	fitaux=0.0;
	fitaux=Y[14]-0.386;
	ind->c[33]=fitaux;

	fitaux=0.0;
	fitaux=71084.33-Y[15];
	ind->c[34]=fitaux;

	fitaux=0.0;
	fitaux=Y[15]-140000.0;
	ind->c[35]=fitaux;

	fitaux=0.0;
	fitaux=2802713.0-Y[16];
	ind->c[36]=fitaux;

	fitaux=0.0;
	fitaux=Y[16]-12146108.0;
	ind->c[37]=fitaux;

	
        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}



/* funcion nueva g17 */
void objfunc17(tindividual *ind){

        double f1,f2,x1,x2,x3,x4,x5,x6,sumviol;
        double fitaux,sumviolaux,aux1,aux2,aux5,aux4;
        int i,feasible;
	x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];
        x4=ind->x[3];
	x5=ind->x[4];
	x6=ind->x[5]; 

	


	aux1=300.0-(((x3*x4)/131.078)*cos(1.48477-x6))+(((0.90798*pow(x3,2.0))/131.078)*cos(1.47588));

	aux2=-(((x3*x4)/131.078)*cos(1.48477+x6))+(((0.90798*pow(x4,2.0))/131.078)*cos(1.47588));

	aux5=-(((x3*x4)/131.078)*sin(1.48477+x6))+(((0.90798*pow(x4,2.0))/131.078)*sin(1.47588));

	aux4=200.0-(((x3*x4)/131.078)*sin(1.48477-x6))+(((0.90798*pow(x3,2.0))/131.078)*sin(1.47588));




	if(x1>=0.0 && x1<300.0){
		f1=30.0*aux1;
	}
	else{
		if(x1>=300.0 && x1<=400.0){
			f1=31.0*aux1;
		}
	}



	if(x2>=0.0 && x2<100.0){
		f2=28.0*aux2;
	}
	else{
		if(x2>=100.0 && x2<200.0){
			f2=29.0*aux2;
		}
		else{
			if(x2>=200.0 && x2<=1000.0){
				f2=30.0*aux2;
			}
		}
	}



	fitaux=f1+f2;	


        ind->f[0]=0.0;
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;


	fitaux=0;
        fitaux=aux1-x1;;
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=aux2-x2;
        ind->c[1]=fitaux;
	
        fitaux=0;
        fitaux=aux5-x5;
        ind->c[2]=fitaux;

	
        fitaux=0;
        fitaux=aux4;
        ind->c[3]=fitaux;

        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* funcion nueva g18 */
void objfunc18(tindividual *ind){

	double x1,x2,x3,x4,x5,x6,x7,x8,x9,sumviol;
        double fitaux,sumviolaux;
        int i,j;

        x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];
        x4=ind->x[3];
	x5=ind->x[4];
	x6=ind->x[5];
        x7=ind->x[6];
	x8=ind->x[7];
	x9=ind->x[8];





        ind->f[0]=0.0;
	fitaux=0.5*(x1*x4-x2*x3+x3*x9-x5*x9+x5*x8-x6*x7);
        ind->f[0]=fitaux;
        ind->fitness=fitaux;

	fitaux=0.0;
	fitaux=1.0-pow(x3,2.0)-pow(x4,2.0);
	fitaux=-fitaux;
	ind->c[0]=fitaux;


	fitaux=0.0;
	fitaux=1.0-pow(x9,2.0);
	fitaux=-fitaux;
	ind->c[1]=fitaux;


	fitaux=0.0;
	fitaux=1.0-pow(x5,2.0)-pow(x6,2.0);
	fitaux=-fitaux;
	ind->c[2]=fitaux;

	

	fitaux=0.0;
	fitaux=1.0-pow(x1,2.0)-pow(x2-x9,2.0);
	fitaux=-fitaux;
	ind->c[3]=fitaux;

	fitaux=0.0;
	fitaux=1.0-pow(x1-x5,2.0)-pow(x2-x6,2.0);
	fitaux=-fitaux;
	ind->c[4]=fitaux;


	fitaux=0.0;
	fitaux=1.0-pow(x1-x7,2.0)-pow(x2-x8,2.0);
	fitaux=-fitaux;
	ind->c[5]=fitaux;

	
	fitaux=0.0;
	fitaux=1.0-pow(x3-x5,2.0)-pow(x4-x6,2.0);;
	fitaux=-fitaux;
	ind->c[6]=fitaux;


	fitaux=0.0;
	fitaux=1.0-pow(x3-x7,2.0)-pow(x4-x8,2.0);;
	fitaux=-fitaux;
	ind->c[7]=fitaux;

	
	fitaux=0.0;
	fitaux=1.0-pow(x7,2.0)-pow(x8-x9,2.0);
	fitaux=-fitaux;
	ind->c[8]=fitaux;

	
	fitaux=0.0;
	fitaux=x1*x4-x2*x3;
	fitaux=-fitaux;
	ind->c[9]=fitaux;

	
	fitaux=0.0;
	fitaux=x3*x9;
	fitaux=-fitaux;
	ind->c[10]=fitaux;

	
	fitaux=0.0;
	fitaux=-x5*x9;
	fitaux=-fitaux;
	ind->c[11]=fitaux;

	
	fitaux=0.0;
	fitaux=x5*x8-x6*x7;
	fitaux=-fitaux;
	ind->c[12]=fitaux;

	
        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* funcion nueva g19 */
void objfunc19(tindividual *ind){

	double x[15],sumviol;
        double fitaux,sumviolaux,suma1,suma2,suma3;
        int i,j;
	double A[10][5]={-16.0,2.0,0.0,1.0,0.0,
			0.0,-2.0,0.0,0.4,2.0,
			-3.5,0.0,2.0,0.0,0.0,
			0.0,-2.0,0.0,-4.0,-1.0,
			0.0,-9.0,-2.0,1.0,-2.8,
			2.0,0.0,-4.0,0.0,0.0,
			-1.0,-1.0,-1.0,-1.0,-1.0,
			-1.0,-2.0,-3.0,-2.0,-1.0,
			1.0,2.0,3.0,4.0,5.0,
			1.0,1.0,1.0,1.0,1.0};
	double B[10]={-40.0,-2.0,-0.25,-4.0,-4.0,-1.0,-40.0,-60.0,5.0,1.0};
	double C[5][5]={30.0,-20.0,-10.0,32.0,-10.0,
			-20.0,39.0,-6.0,-31.0,32.0,
			-10.0,-6.0,10.0,-6.0,-10.0,
			32.0,-31.0,-6.0,39.0,-20.0,
			-10.0,32.0,-10.0,-20.0,30.0};
	double D[5]={4.0,8.0,10.0,6.0,2.0};
	double E[5]={-15.0,-27.0,-36.0,-18.0,-12.0};

	
        x[0]=ind->x[0];
	x[1]=ind->x[1];
	x[2]=ind->x[2];
        x[3]=ind->x[3];
	x[4]=ind->x[4];
	x[5]=ind->x[5];
        x[6]=ind->x[6];
	x[7]=ind->x[7];
	x[8]=ind->x[8];
        x[9]=ind->x[9];
	x[10]=ind->x[10];
	x[11]=ind->x[11];
        x[12]=ind->x[12];
	x[13]=ind->x[13];
	x[14]=ind->x[14];



	fitaux=0.0;

	suma1=0.0;
	for(i=0;i<10;i++){
		suma1+=B[i]*x[i];
	}

	suma2=0.0;
	for(i=0;i<5;i++){
		for(j=0;j<5;j++){
			suma2+=C[i][j]*x[10+i]*x[10+j];
		}
	}

	
	suma3=0.0;
	for(i=0;i<5;i++){
		suma3+=D[i]*pow(x[10+i],3.0);
	}


	fitaux=suma1-suma2-(2.0*suma3);	


        ind->f[0]=0.0;
        ind->f[0]=fitaux;
        ind->fitness=fitaux;

	for(j=0;j<5;j++){
		suma1=0.0;
		for(i=0;i<5;i++){
			suma1+=C[i][j]*x[10+i];
		}
		suma2=0.0;
		for(i=0;i<10;i++){
			suma2+=A[i][j]*x[i];
		}
		ind->c[j]=-((2.0*suma1)+(3.0*D[j]*pow(x[10+j],2.0))+E[j]-suma2);
	}

	
        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<nrestric;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* funcion nueva g20 */
void objfunc20(tindividual *ind){

        double x[24];
        double fitaux,sumviolaux,suma1,suma2,sumatotal;
        int i,j,feasible;
	double A[24]={0.0693,0.0577,0.05,0.2,0.26,0.55,0.06,0.1,0.12,0.18,0.1,0.09,0.0693,0.0577,0.05,0.2,0.26,0.55,0.06,0.1,0.12,0.18,0.1,0.09};
	double B[24]={44.094,58.12,58.12,137.4,120.9,170.9,62.501,84.94,133.425,82.507,46.07,60.097,44.094,58.12,58.12,137.4,120.9,170.9,62.501,84.94,133.425,82.507,46.07,60.097};
	double C[12]={123.7,31.7,45.7,14.7,84.7,27.7,49.7,7.1,2.1,17.7,0.85,0.64};
	double D[12]={31.244,36.12,34.784,92.7,82.7,91.6,56.708,82.7,80.8,64.517,49.4,49.1};
	double E[6]={0.1,0.3,0.4,0.3,0.6,0.3};


        x[0]=ind->x[0];
	x[1]=ind->x[1];
	x[2]=ind->x[2];
        x[3]=ind->x[3];
	x[4]=ind->x[4];
	x[5]=ind->x[5];
        x[6]=ind->x[6];
	x[7]=ind->x[7];
	x[8]=ind->x[8];
	x[9]=ind->x[9];
        x[10]=ind->x[10];
	x[11]=ind->x[11];
	x[12]=ind->x[12];
        x[13]=ind->x[13];
	x[14]=ind->x[14];
	x[15]=ind->x[15];
        x[16]=ind->x[16];
	x[17]=ind->x[17];
	x[18]=ind->x[18];
	x[19]=ind->x[19];
        x[20]=ind->x[20];
	x[21]=ind->x[21];
	x[22]=ind->x[22];
        x[23]=ind->x[23];



        ind->f[0]=0.0;
	fitaux=0.0;
	for(j=0;j<24;j++){
		fitaux+=A[j]*x[j];
	}
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;


	suma1=0.0;
	for(j=0;j<12;j++){
		suma1+=x[j]/B[j];
	}

	suma2=0.0;
	for(j=12;j<24;j++){
		suma2+=x[j]/B[j];
	}

	for(i=0;i<12;i++){
		ind->c[i]=(x[i+12]/(B[i+12]*suma2))-((C[i]*x[i])/(40.0*B[i]*suma1));
	}


	sumatotal=0.0;
	for(j=0;j<24;j++){
		sumatotal+=x[j];
	}

	ind->c[12]=sumatotal-1.0;

	suma1=0.0;
	for(j=0;j<12;j++){
		suma1+=x[j]/D[j];
	}
	
	suma2=0.0;
	for(j=12;j<24;j++){
		suma1+=x[j]/B[j];
	}

	ind->c[13]=suma1+(0.7302*530.0*(14.7/40))*suma2-1.671;
	
	j=0;
	for(i=14;i<17;i++){
		ind->c[i]=(x[j]+x[j+12])/(sumatotal+E[j]);
		j++;
	}
	
	j=3;
	for(i=17;i<nrestric;i++){
		ind->c[i]=(x[j+3]+x[j+15])/(sumatotal+E[j]);
		j++;
	}	
	
	
        sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
        for(i=0;i<14;i++){
//                if(fabs(ind->c[i])-EPSILON > 0){
//                if(ind->c[i] > 0){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
	for(i=14;i<nrestric;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* funcion nueva g21 */
void objfunc21(tindividual *ind){

        double x1,x2,x3,x4,x5,x6,x7;
        double fitaux,sumviolaux;
        int i,feasible;
	
        x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];
        x4=ind->x[3];
	x5=ind->x[4];
	x6=ind->x[5];
	x7=ind->x[6];



        ind->f[0]=0.0;
	fitaux=x1;	
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;


        fitaux=0;
        fitaux=-x1+35.0*pow(x2,0.6)+35.0*pow(x3,0.6);
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=-300.0*x3+7500*x5-7500*x6-25.0*x4*x5+25.0*x4*x6+x3*x4; 
        ind->c[1]=fitaux;
	
        fitaux=0;
        fitaux=100.0*x2+155.365*x4+2500*x7-x2*x4-25.0*x4*x7-15536.5; 
        ind->c[2]=fitaux;
	
        fitaux=0;
        fitaux=-x5+log(-x4+900.0); 
        ind->c[3]=fitaux;
	
        fitaux=0;
        fitaux=-x6+log(x4+300.0); 
        ind->c[4]=fitaux;
	
        fitaux=0;
        fitaux=-x7+log(-2.0*x4+700.0); 
        ind->c[5]=fitaux;


	sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
	for(i=0;i<1;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        for(i=1;i<nrestric;i++){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* funcion nueva g22 */
void objfunc22(tindividual *ind){

        double x1,x2,x3,x4,x5,x6,x7,x8,x9,x10;
	double x11,x12,x13,x14,x15,x16,x17,x18,x19,x20,x21,x22;
        double fitaux,sumviolaux;
        int i,feasible;
	
        x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];
        x4=ind->x[3];
	x5=ind->x[4];
	x6=ind->x[5];
	x7=ind->x[6];
        x8=ind->x[7];
	x9=ind->x[8];
	x10=ind->x[9];
        x11=ind->x[10];
	x12=ind->x[11];
	x13=ind->x[12];
	x14=ind->x[13];
	x15=ind->x[14];
        x16=ind->x[15];
	x17=ind->x[16];
	x18=ind->x[17];
        x19=ind->x[18];
	x20=ind->x[19];
	x21=ind->x[20];
	x22=ind->x[21];



        ind->f[0]=0.0;
	fitaux=x1;	
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;



	fitaux=0;
        fitaux=-x1+pow(x2,0.6)+pow(x3,0.6)+pow(x4,0.6);
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=x5-100000.0*x8+10000000.0;
        ind->c[1]=fitaux;
	
        fitaux=0;
        fitaux=x6+100000.0*x8-100000.0*x9;
        ind->c[2]=fitaux;
	
        fitaux=0;
        fitaux=x7+100000.0*x9-50000000.0;
        ind->c[3]=fitaux;
	
        fitaux=0;
        fitaux=x5+100000.0*x10-33000000.0;
        ind->c[4]=fitaux;
	
        fitaux=0;
        fitaux=x6+100000*x11-44000000.0;
        ind->c[5]=fitaux;
	
        fitaux=0;
        fitaux=x7+100000*x12-66000000.0;
        ind->c[6]=fitaux;
	
        fitaux=0;
        fitaux=x5-120.0*x2*x13;
        ind->c[7]=fitaux;
	
        fitaux=0;
        fitaux=x6-80.0*x3*x14;
        ind->c[8]=fitaux;
	
        fitaux=0;
        fitaux=x7-40.0*x4*x15;
       	ind->c[9]=fitaux;
	
        fitaux=0;
        fitaux=x8-x11+x16;
        ind->c[10]=fitaux;
	
        fitaux=0;
        fitaux=x9-x12+x17;
        ind->c[11]=fitaux;
	
        fitaux=0;
        fitaux=-x18+log(x10-100.0);
        ind->c[12]=fitaux;
	
        fitaux=0;
        fitaux=-x19+log(-x8+300.0);
        ind->c[13]=fitaux;
	
        fitaux=0;
        fitaux=-x20+log(x16);
        ind->c[14]=fitaux;
	
        fitaux=0;
        fitaux=-x21+log(-x9+400.0);
        ind->c[15]=fitaux;
	
        fitaux=0;
        fitaux=-x22+log(x17);
        ind->c[16]=fitaux;
	
        fitaux=0;
        fitaux=-x8-x10+x13*x18-x13*x19+400.0;
        ind->c[17]=fitaux;
	
        fitaux=0;
        fitaux=x8-x9-x11+x14*x20-x14*x21+400.0;
        ind->c[18]=fitaux;
	
        fitaux=0;
        fitaux=x9-x12-4.60517*x15+x15*x22+100.0;
        ind->c[19]=fitaux;

	
	sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
	for(i=0;i<1;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        for(i=1;i<nrestric;i++){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* funcion nueva g23 */
void objfunc23(tindividual *ind){

        double x1,x2,x3,x4,x5,x6,x7,x8,x9;
        double fitaux,sumviolaux;
        int i,feasible;
	
        x1=ind->x[0];
	x2=ind->x[1];
	x3=ind->x[2];
        x4=ind->x[3];
	x5=ind->x[4];
	x6=ind->x[5];
	x7=ind->x[6];
	x8=ind->x[7];
	x9=ind->x[8];



        ind->f[0]=0.0;
	fitaux=-9.0*x5-15.0*x8+6.0*x1+16.0*x2+10.0*(x6+x7);	
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;




	fitaux=0;
        fitaux=x9*x3+0.02*x6-0.025*x5;
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=x9*x4+0.02*x7-0.015*x8;
        ind->c[1]=fitaux;
	
        fitaux=0;
        fitaux=x1+x2-x3-x4;
        ind->c[2]=fitaux;
	
        fitaux=0;
        fitaux=0.03*x1+0.01*x2-x9*(x3+x4);
        ind->c[3]=fitaux;
	
        fitaux=0;
        fitaux=x3+x6-x5;
        ind->c[4]=fitaux;
	
        fitaux=0;
        fitaux=x4+x7-x8;
        ind->c[5]=fitaux;


	sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
	for(i=0;i<2;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        for(i=2;i<nrestric;i++){
		if(fabs(ind->c[i])-epsilons[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}

/* funcion nueva g24 (ZONA FACTIBLE DISJUNTA HANDBOOK FLOUDAS PAG 31) */
void objfunc24(tindividual *ind){

        double x1,x2;
        double fitaux,sumviolaux;
        int i,feasible;
	
        x1=ind->x[0];
	x2=ind->x[1];



        ind->f[0]=0.0;
	fitaux=-x1-x2;	
        ind->f[0]=fitaux;
        ind->fitness=-fitaux;


        fitaux=0;
        fitaux=-2.0*pow(x1,4.0)+8.0*pow(x1,3.0)-8.0*pow(x1,2.0)+x2-2.0;
        ind->c[0]=fitaux;
	
        fitaux=0;
        fitaux=-4.0*pow(x1,4.0)+32.0*pow(x1,3.0)-88.0*pow(x1,2.0)+96.0*x1+x2-36.0;; 
        ind->c[1]=fitaux;
	
	sumviolaux=0.0;
	ind->feasible=TRUE;
	ind->numviol=0;
	for(i=0;i<nrestric;i++){
		if(ind->c[i] > 0){
                        sumviolaux=sumviolaux+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
        ind->sumviol=sumviolaux;
}


/* ADD YOUR FUNCTION EVALUATION
   EXAMPLE: 
   
void objfunc25(tindividual *ind){

        double x[2];  //DEFINE AN ARRAY FOR THE DECISION VARIABLES
        int i;

	x[0]=ind->x[0];	//IN THIS WAY THE VALUES IN THE INDIVIDUAL ARE
        x[1]=ind->x[1]; //COPIED YO YOUR VARIABLES FOR EVALUATION

        ind->f[0]=0.0;
	ind->f[0]=(pow(sin(2.0*3.1416*x[0]),3.0)*sin(2.0*3.1416*x[1]))/(pow(x[0],3.0)*(x[0]+x[1]));
			//IN THIS WAY THE OBJECTIVE FUNCTION VALUE IS COPIED TO
			//THE INDIVIDUAL 
	
	ind->fitness=ind->f[0];	//FITNESS IS ASSIGNED. USE A NEGATIVE VALUE 
				// (-ind->f[0]) IF YOU ARE SOLVING A 
				// MINIMIZATION PROBLEM

	
        ind->c[0]=0.0;		// IN THIS WAY CONSTRAINT VALUES ARE EVALUATED 
	ind->c[0]=pow(x[0],2.0)-x[1]+1.0; // AND ASSIGNED TO INDIVIDUALS
				// IN THIS EXAMPLE THE PROBLEM HAS 2 CONSTRAINTS				//THE FIRST ONE IS AN INEQUALITY CONSTRAINT AND 
				//THE SECOND ONE IS AN EQUALITY CONSTRAINT.
				
        ind->c[1]=0.0;
	ind->c[1]=1-x[0]+pow(x[1]-4.0,2.0);


	ind->sumviol=0.0;
	ind->feasible=TRUE;	//THE FEASIBILITY OF THE SOLUTION IS CHECKED
	ind->numviol=0;		//THE FIRST LOOP IS FOR THE INEQUALITY 
				//CONSTRAINT OF THE PROBLEM.
				//THE SECOND LOOP IS FOR THE EQUALITY 
				//CONSTRAINT, USING THE DYNAMICLY UPDATED 
				//EPSILON VALUE (epsilons[j])
        for(i=0;i<1;i++){
                if(ind->c[i]>0){
                        ind->sumviol=ind->sumviol+ind->c[i];
                        ind->feasible=FALSE;
			ind->numviol++;

		}
	}
	j=0;
        for(i=1;i<nrestric;i++){
                if((fabs(ind->c[i])-epsilons[j]) > 0){
                        ind->sumviol=ind->sumviol+fabs(ind->c[i]);
                        ind->feasible=FALSE;
			ind->numviol++;
		}
		j++;
	}
}
*/
